﻿/*
    Program pro vypocet obsahu a obvodu kruhu o zadanem polomeru.    
*/

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Kruh
{
    class Kruh
    {
        private int polomer;

        public Kruh(int pocatecniPolomer)
        {
            polomer = pocatecniPolomer;
        }

        public double UrciObsah()
        {
            return Math.PI * polomer * polomer;
        }

        public double UrciObvod()
        {
            return 2 * Math.PI * polomer;
        }
    }
    
    class Program
    {
        static void Main(string[] args)
        {
            string polomer;
            int r;

            Console.Write("Zadej polomer: ");
            polomer = Console.ReadLine();
            r = Convert.ToInt32(polomer);
            
            Kruh k = new Kruh(r);

            Console.WriteLine("Obsah kruhu o polomeru {0} je {1}", r, k.UrciObsah());
            Console.WriteLine("Obvod kruhu o polomeru {0} je {1}", r, k.UrciObvod());
        }
    }
}
