﻿/*
    Program pro vypocet nejvetsiho spolecneho delitele dvou
    prirozenych cisel.    
*/

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace NSD
{
    class Program
    {
        private static void Vymen(ref int ax, ref int bx)
        {
            int pom;

            pom = ax;
            ax = bx;
            bx = pom;
        }

        public static void NSD(int a, int b, out int d)
        {
            do
            {
                a %= b;
                Vymen(ref a, ref b);
            }
            while (b != 0);

            d = a;
        }

        static void Main(string[] args)
        {
            string cisAStr, cisBStr;
            int cisANum, cisBNum, delitel;

            Console.Write("Zadej cislo a: ");
            cisAStr = Console.ReadLine();
            cisANum = Convert.ToInt32(cisAStr);

            Console.Write("Zadej cislo b: ");
            cisBStr = Console.ReadLine();
            cisBNum = Convert.ToInt32(cisBStr);

            NSD(cisANum, cisBNum, out delitel);

            Console.WriteLine("Nejvetsi spolecny delitel cisel {0} a {1} je {2}",
                cisANum, cisBNum, delitel);
        }
    }
}
