﻿/*
    Program demonstrujici udalost a jeji obsluhu.
*/

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace UdalostDemo
{
    delegate void Delegat(string s);

    class Trida
    {
        public event Delegat Udalost;

        public void Metoda(string s)
        {
            Console.WriteLine("Metoda spousti udalost");
            if (Udalost != null)
               Udalost(s);
        }
    }

    class Program
    {
        
        static void Main(string[] args)
        {
            Trida obj = new Trida();

            obj.Udalost += new Delegat(Obsluha);
            obj.Metoda("Hello");
        }

        static void Obsluha(string s)
        {
            Console.WriteLine("Obsluha udalosti - predana zprava je: "+s);
        }
    }
}
